Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.string
Class StringLike

    java.lang.Object
      com.bea.p13n.expression.internal.ComplexExpressionImpl
          com.bea.p13n.expression.operator.Operator
              com.bea.p13n.expression.operator.string.StringOperator
                  com.bea.p13n.expression.operator.string.StringLike

All Implemented Interfaces
  Expression, com.bea.p13n.expression.ExpressionEvents, BinaryOperator, Serializable, Cloneable

    public class StringLike

extends StringOperator
implements BinaryOperator

A class for representing "like" operator that is operated on the supplied two strings. It accepts two strings `firstString` and `secondString`. The evaluation of this operator should return `true` if ((firstString.toUpperCase()).indexOf( (secondString.toUpperCase())) > -1), otherwise return `false`.

See Also
  Serialized Form

Field Summary
`protected boolean` | `caseInsensitiveMatch`

Fields inherited from class com.bea.p13n.expression.operator.string.StringOperator
`BINARY_PARAMETER_SIGNATURE, UNARY_PARAMETER_SIGNATURE`

Fields inherited from interface com.bea.p13n.expression.operator.BinaryOperator
`LHS_INDEX, RHS_INDEX`

Fields inherited from interface com.bea.p13n.expression.ExpressionEvents
`EVENT_ADD_SUBEXPRESSION, EVENT_CLEAR_CACHE, EVENT_INTERNAL_MAX, EVENT_REMOVE_SUBEXPRESSION, EVENT_SET_CACHE_ENABLED, EVENT_SET_CACHED_VALUE, EVENT_SET_PARENT, EVENT_SET_SOURCE, EVENT_SET_SUBEXPRESSION, EVENT_SET_USER_DATA`

Constructor Summary
`StringLike()`
`StringLike(Object firstString, Object secondString)`
`StringLike(Object firstString, Object secondString, boolean patternMatchIgnoreCase)`

Method Summary
`boolean` | `equals(Object o)` Override to check the caseInsensitiveMatch flag as well.
`Object` | `getLeftHandSide()` Returns left hand side operand of this binary operator.
`Class[]` | `getParameterSignature()` Returns the parameter signature for this `Expression`.
`Object` | `getRightHandSide()` Returns right hand side operand of this binary operator.
`int` | `hashCode()` Override to check the caseInsensitiveMatch flag as well.
`boolean` | `isCaseInsensitiveMatch()`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### caseInsensitiveMatch

    protected boolean caseInsensitiveMatch

Constructor Detail

### StringLike

    public StringLike()

### StringLike

    public StringLike(Object firstString,
                      Object secondString)

### StringLike

    public StringLike(Object firstString,
                      Object secondString,
                      boolean patternMatchIgnoreCase)

Method Detail

### getLeftHandSide

    public Object getLeftHandSide()

  Description copied from interface: `BinaryOperator`
  Returns left hand side operand of this binary operator.

  Specified by:
    `getLeftHandSide` in interface `BinaryOperator`
  Returns
    The left hand side operand.

### getRightHandSide

    public Object getRightHandSide()

  Description copied from interface: `BinaryOperator`
  Returns right hand side operand of this binary operator.

  Specified by:
    `getRightHandSide` in interface `BinaryOperator`
  Returns
    The left hand side operand.

### getParameterSignature

    public Class[] getParameterSignature()

  Description copied from interface: `Expression`
  Returns the parameter signature for this `Expression`. Because the sub-expressions within the `Expression` are typically arguments or operands, some type validation is performed by examining the class types of the sub-expressions against the `Expression`'s parameter signature.
  The tests that are performed are:
  1. The number of sub-expressions must equals the number of parameter entries.
  2. The class type of any sub-expression (or the result of evaluating the sub-expresssion) must equal the class type of the corresponding parameter entry.
  3. Any null parameter entries are ignored and are considered optional sub-expressions.

  Specified by:
    `getParameterSignature` in interface `Expression`
  Returns
    the Class array containing the parameter signature.

### isCaseInsensitiveMatch

    public boolean isCaseInsensitiveMatch()

### equals

    public boolean equals(Object o)

  Override to check the caseInsensitiveMatch flag as well.

  Overrides:
    `equals` in class `com.bea.p13n.expression.internal.ComplexExpressionImpl`

### hashCode

    public int hashCode()

  Override to check the caseInsensitiveMatch flag as well.

  Overrides:
    `hashCode` in class `com.bea.p13n.expression.internal.ComplexExpressionImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.